Mount&Blade Warband | OS X and Linux Support

Derps9

Recruit
Best answers
0
how do i remove my download cache
xrogaan said:
Derps9 said:
Hello, after 2 weeks of trying to debug the issue of making my linux M&B work with the new patch that tale worlds put out, i have come here to see if i can get a link to a fix or just instructions on how to fix this error right here
here is the error i get when i try to install the new update of the game.
https://imgur.com/a/HUewFDh

Thanks, Hopefully someone can help :smile:
Try to remove the download cache. Pretty sure .DS_Store shouldn't be in there.
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
Derps9 said:
how do i remove my download cache
xrogaan said:
Derps9 said:
Hello, after 2 weeks of trying to debug the issue of making my linux M&B work with the new patch that tale worlds put out, i have come here to see if i can get a link to a fix or just instructions on how to fix this error right here
here is the error i get when i try to install the new update of the game.
https://imgur.com/a/HUewFDh

Thanks, Hopefully someone can help :smile:
Try to remove the download cache. Pretty sure .DS_Store shouldn't be in there.
In the "Downloads" section of the steam settings. Or google it, it is a known thing.
 

vladase

Recruit
Best answers
0
Hi!
Up to some months ago I've played Warband (both Native & Viking Conquest; no mods at that time), then I took a break.
I'm using the steam version on a Linux Mint rig. Kinda' old but does the job.
Now I've tried again, after some Steam updates - and when to start - not working any more.
If i try to open from steam it does nothing, if run mb_warband.sh in terminal i get error (below)

/mb_warband.sh: line 1: #!/bin/sh: No such file or directory
./mb_warband_linux: error while loading shared libraries: libsndio.so.6.1: cannot open shared object file: No such file or directory

i checked, I already have the required library (see below)
apt-get install libsndio6.1
Reading package lists... Done
Building dependency tree
Reading state information... Done
libsndio6.1 is already the newest version (1.1.0-2).
libsndio6.1 set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 42 not upgraded.

Can someone help?
Strange thing is that "Fire and Sword" works ok...
Also to be noted that the launcher that lets me chose between Native, Viking Conquest, Napoleonic Wars and other modules also works OK.

So I'm guessing that main game files are OK, the problem must be somewhere in the different launcher (from fire and sword) that Warband has or in the scripts of Warband (or in mb_warband.sh)

Contents of mb_warband.sh below:

#!/bin/sh

STEAM_RT="${HOME}/.local/share/Steam/ubuntu12_32/steam-runtime/i386"
PROGRAM_DIRECTORY="`dirname "$0"`"
export LD_LIBRARY_PATH="${STEAM_RT}/lib/i386-linux-gnu:${STEAM_RT}/usr/lib/i386-linux-gnu:${PROGRAM_DIRECTORY}"

"$PROGRAM_DIRECTORY/mb_warband_linux" "[email protected]"
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
vladase said:
Hi!
Up to some months ago I've played Warband (both Native & Viking Conquest; no mods at that time), then I took a break.
I'm using the steam version on a Linux Mint rig. Kinda' old but does the job.
Now I've tried again, after some Steam updates - and when to start - not working any more.
If i try to open from steam it does nothing, if run mb_warband.sh in terminal i get error (below)

/mb_warband.sh: line 1: #!/bin/sh: No such file or directory
./mb_warband_linux: error while loading shared libraries: libsndio.so.6.1: cannot open shared object file: No such file or directory

i checked, I already have the required library (see below)
apt-get install libsndio6.1
Reading package lists... Done
Building dependency tree
Reading state information... Done
libsndio6.1 is already the newest version (1.1.0-2).
libsndio6.1 set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 42 not upgraded.

Can someone help?
Strange thing is that "Fire and Sword" works ok...
Also to be noted that the launcher that lets me chose between Native, Viking Conquest, Napoleonic Wars and other modules also works OK.

So I'm guessing that main game files are OK, the problem must be somewhere in the different launcher (from fire and sword) that Warband has or in the scripts of Warband (or in mb_warband.sh)

Contents of mb_warband.sh below:

#!/bin/sh

STEAM_RT="${HOME}/.local/share/Steam/ubuntu12_32/steam-runtime/i386"
PROGRAM_DIRECTORY="`dirname "$0"`"
export LD_LIBRARY_PATH="${STEAM_RT}/lib/i386-linux-gnu:${STEAM_RT}/usr/lib/i386-linux-gnu:${PROGRAM_DIRECTORY}"

"$PROGRAM_DIRECTORY/mb_warband_linux" "[email protected]"
Code:
ldd mb_warband_linux
Will tell you which library the software can and can't find. Append the LD_LIBRARY_PATH to that line and try to fix your issues. If you get the glibc error, you might want to revert to an older version of the game.

The actual bug reports for the linux thing goes there: https://forums.taleworlds.com/index.php/topic,99405.0.html
 

Callum

Community Manager
Best answers
0
We put out a 64-bit beta build for macOS and Linux distributions last night in preparation for future updates to these operating systems. You can read more about how to access the build here:

https://www.taleworlds.com/en/Games/Warband/News/257
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
Callum_TaleWorlds said:
We put out a 64-bit beta build for macOS and Linux distributions last night in preparation for future updates to these operating systems. You can read more about how to access the build here:

https://www.taleworlds.com/en/Games/Warband/News/257
The game is missing libfmodex64.so :smile:
Code:
./mb_warband_linux: error while loading shared libraries: libfmodex64.so: cannot open shared object file: No such file or directory
 

Callum

Community Manager
Best answers
0
xrogaan said:
Callum_TaleWorlds said:
We put out a 64-bit beta build for macOS and Linux distributions last night in preparation for future updates to these operating systems. You can read more about how to access the build here:

https://www.taleworlds.com/en/Games/Warband/News/257
The game is missing libfmodex64.so :smile:
Code:
./mb_warband_linux: error while loading shared libraries: libfmodex64.so: cannot open shared object file: No such file or directory
Thanks, we are looking into it now!
 

MArdA TaleWorlds

Community Support
M&BWBWF&SNWVC
Best answers
1
A hotfix is released on the beta about the missing libfmodex64.so. Can you try again and report back, please? Don't forget to restart your Steam clients to get the last update on beta!
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
M.ArdA_TaleWorlds said:
A hotfix is released on the beta about the missing libfmodex64.so. Can you try again and report back, please? Don't forget to restart your Steam clients to get the last update on beta!
Yes, the library is now present and the game does launches. I haven't encountered any issue during a small play session. The game seems a lot faster too, more responsive.
 

Mynes

Knight at Arms
Best answers
0
There seems to be a library dependency issue associated with "libQt5Widgets.so.5" when launching warband configuration:
Code:
./mbw_config_linux: error while loading shared libraries: libQt5Widgets.so.5: cannot open shared object file: No such file or directory
However, the game does launch without any issues.
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
Mynes said:
There seems to be a library dependency issue associated with "libQt5Widgets.so.5" when launching warband configuration:
Code:
./mbw_config_linux: error while loading shared libraries: libQt5Widgets.so.5: cannot open shared object file: No such file or directory
However, the game does launch without any issues.
It's a dependency easily resolved by installing the proper package from your disto's repository. Under a debian based system, install the package named libqt5widgets5

It would obviously be better for the bash file to check if the libraries are available on the system before trying to launch. Or at the very least include a README file with the list of dependencies the user needs to install.
 

MArdA TaleWorlds

Community Support
M&BWBWF&SNWVC
Best answers
1
xrogaan said:
Yes, the library is now present and the game does launches. I haven't encountered any issue during a small play session. The game seems a lot faster too, more responsive.
Glad to hear that! Have fun playing!

If anyone experiences an issue that the launcher of the game is not launching, please make sure that your pc has qt5 installed.
 

Callum

Community Manager
Best answers
0
The 64-bit patch we recently released in beta has now been pushed out to everyone. If you are experiencing any problems after this update please get in touch with us through a support ticket and we will do what we can to assist you!
 

Grank

Knight at Arms
WBNWVC
Best answers
0
Callum_TaleWorlds said:
The 64-bit patch we recently released in beta has now been pushed out to everyone. If you are experiencing any problems after this update please get in touch with us through a support ticket and we will do what we can to assist you!
I can't seem to download the patch. I already turned the beta on and off but there's no new download. Turning the beta off should at least download the non-beta files back, but it didn't. Validating the game's files updated only 3 files around 5.5MB, so it seems like I'm doing it wrong. Any tips?
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
Grank said:
Callum_TaleWorlds said:
The 64-bit patch we recently released in beta has now been pushed out to everyone. If you are experiencing any problems after this update please get in touch with us through a support ticket and we will do what we can to assist you!
I can't seem to download the patch. I already turned the beta on and off but there's no new download. Turning the beta off should at least download the non-beta files back, but it didn't. Validating the game's files updated only 3 files around 5.5MB, so it seems like I'm doing it wrong. Any tips?
If the two branches (stable and beta) have the same build id, steam won't download anything. To verify, check the branches listed over steamdb: https://steamdb.info/app/48700/depots/
 

Grank

Knight at Arms
WBNWVC
Best answers
0
xrogaan said:
If the two branches (stable and beta) have the same build id, steam won't download anything. To verify, check the branches listed over steamdb: https://steamdb.info/app/48700/depots/
Alright. I downloaded the files manually, and so far it's working fine! The game doesn't crash when using mods like before. I'm testing with A Clash of Kings right now, which is the heaviest mod I have on my computer. I will go test with other mods and try to reproduce some CTD scenarios I had later, after I've made sure that the game doesn't crash after a long session.
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
Grank said:
xrogaan said:
If the two branches (stable and beta) have the same build id, steam won't download anything. To verify, check the branches listed over steamdb: https://steamdb.info/app/48700/depots/
Alright. I downloaded the files manually, and so far it's working fine! The game doesn't crash when using mods like before. I'm testing with A Clash of Kings right now, which is the heaviest mod I have on my computer. I will go test with other mods and try to reproduce some CTD scenarios I had later, after I've made sure that the game doesn't crash after a long session.
You misunderstood. Steam do not need to redownload files already present on your hard drive since the beta branch has the same build id than the stable. The two branches are identical. You do no need to download the stable build manually, it's already present locally.
 

Grank

Knight at Arms
WBNWVC
Best answers
0
xrogaan said:
You misunderstood. Steam do not need to redownload files already present on your hard drive since the beta branch has the same build id than the stable. The two branches are identical. You do no need to download the stable build manually, it's already present locally.
Okay...? I saw that there's a new update that was pushed yesterday (November 7th), and my Steam hadn't downloaded any new files since that date, so I assumed I hadn't got it. That's why I downloaded those files manually using the console (Manifest ID 375929223202021189:cool:. If I'm testing the wrong build, let me know.
 

gloops

Sergeant
Best answers
0
Version 1.174 broke my mouse wheel in MacOS 10.13.6. I now have to scroll several times before it registers. It worked fine in 1.173.